[jitsi-dev] Error when I run 'make' command


#1

Hi!

I want to update jitsi but it shows me an error when I run 'make' command:

...
./node_modules/.bin/browserify -d -e app.js -s APP |
./node_modules/.bin/exorcist ./app.bundle.js.map > ./app.bundle.js
Error: module not found: "jquery-ui" from file /var/www/myapp/app.js
    at onresolve
(/var/www/myapp/node_modules/browserify/node_modules/module-deps/index.js:162:30)
    at /var/www/myapp/node_modules/browserify/index.js:489:18
    at
/var/www/myapp/node_modules/browserify/node_modules/browser-resolve/index.js:246:21
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:55:18
    at load
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:69:43)
    at onex
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:92:31)
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:22:47
    at Object.oncomplete (fs.js:97:15)
The code that you piped into exorcist contains no source map!
Therefore it was piped through as is and no external map file generated.
./node_modules/.bin/uglifyjs -p relative ./app.bundle.js -o
./app.bundle.min.js --source-map ./app.bundle.min.map --in-source-map
./app.bundle.js.map
fs.js:410
  return binding.open(pathModule._makeLong(path), stringToFlags(flags),
mode);
                 ^
Error: ENOENT, no such file or directory './app.bundle.js.map'
    at Object.fs.openSync (fs.js:410:18)
    at Object.fs.readFileSync (fs.js:276:15)
    at Object.<anonymous>
(/var/www/myapp/node_modules/uglify-js/bin/uglifyjs:263:30)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:349:32)
    at Function.Module._load (module.js:305:12)
    at Function.Module.runMain (module.js:490:10)
    at startup (node.js:124:16)
    at node.js:803:3
make: *** [uglify] Error 1

Thank you,

Sadiel.


#2

Hi Sadiel, have you tried running `npm install` before executing make?

···

On Mon, Feb 8, 2016 at 9:49 AM, Sadiel Orama <sorama@ubity.com> wrote:

Hi!

I want to update jitsi but it shows me an error when I run 'make' command:

...
./node_modules/.bin/browserify -d -e app.js -s APP |
./node_modules/.bin/exorcist ./app.bundle.js.map > ./app.bundle.js
Error: module not found: "jquery-ui" from file /var/www/myapp/app.js
    at onresolve
(/var/www/myapp/node_modules/browserify/node_modules/module-deps/index.js:162:30)
    at /var/www/myapp/node_modules/browserify/index.js:489:18
    at
/var/www/myapp/node_modules/browserify/node_modules/browser-resolve/index.js:246:21
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:55:18
    at load
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:69:43)
    at onex
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:92:31)
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:22:47
    at Object.oncomplete (fs.js:97:15)
The code that you piped into exorcist contains no source map!
Therefore it was piped through as is and no external map file generated.
./node_modules/.bin/uglifyjs -p relative ./app.bundle.js -o
./app.bundle.min.js --source-map ./app.bundle.min.map --in-source-map
./app.bundle.js.map
fs.js:410
  return binding.open(pathModule._makeLong(path), stringToFlags(flags),
mode);
                 ^
Error: ENOENT, no such file or directory './app.bundle.js.map'
    at Object.fs.openSync (fs.js:410:18)
    at Object.fs.readFileSync (fs.js:276:15)
    at Object.<anonymous>
(/var/www/myapp/node_modules/uglify-js/bin/uglifyjs:263:30)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:349:32)
    at Function.Module._load (module.js:305:12)
    at Function.Module.runMain (module.js:490:10)
    at startup (node.js:124:16)
    at node.js:803:3
make: *** [uglify] Error 1

Thank you,

Sadiel.

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#3

Hi,

Yes, I show you what I did.

*git clone https://github.com/jitsi/jitsi-meet
<https://github.com/jitsi/jitsi-meet> myapp*
*cd myapp*
*sudo npm install -g browserify*
*sudo apt-get install npm nodejs-legacy*

Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'nodejs' instead of 'nodejs-legacy'
nodejs is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
nodejs : Conflicts: npm
E: Unable to correct problems, you have held broken packages.

*sudo apt-get install nodejs-legacy* (it fixes the last error. I hope is ok)

*npm install*
*make*

But it continue to show the error.

Thank you,

Sadiel.

···

2016-02-08 12:33 GMT-05:00 George Politis <gp@jitsi.org>:

Hi Sadiel, have you tried running `npm install` before executing make?

On Mon, Feb 8, 2016 at 9:49 AM, Sadiel Orama <sorama@ubity.com> wrote:

Hi!

I want to update jitsi but it shows me an error when I run 'make' command:

...
./node_modules/.bin/browserify -d -e app.js -s APP |
./node_modules/.bin/exorcist ./app.bundle.js.map > ./app.bundle.js
Error: module not found: "jquery-ui" from file /var/www/myapp/app.js
    at onresolve
(/var/www/myapp/node_modules/browserify/node_modules/module-deps/index.js:162:30)
    at /var/www/myapp/node_modules/browserify/index.js:489:18
    at
/var/www/myapp/node_modules/browserify/node_modules/browser-resolve/index.js:246:21
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:55:18
    at load
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:69:43)
    at onex
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:92:31)
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:22:47
    at Object.oncomplete (fs.js:97:15)
The code that you piped into exorcist contains no source map!
Therefore it was piped through as is and no external map file generated.
./node_modules/.bin/uglifyjs -p relative ./app.bundle.js -o
./app.bundle.min.js --source-map ./app.bundle.min.map --in-source-map
./app.bundle.js.map
fs.js:410
  return binding.open(pathModule._makeLong(path), stringToFlags(flags),
mode);
                 ^
Error: ENOENT, no such file or directory './app.bundle.js.map'
    at Object.fs.openSync (fs.js:410:18)
    at Object.fs.readFileSync (fs.js:276:15)
    at Object.<anonymous>
(/var/www/myapp/node_modules/uglify-js/bin/uglifyjs:263:30)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:349:32)
    at Function.Module._load (module.js:305:12)
    at Function.Module.runMain (module.js:490:10)
    at startup (node.js:124:16)
    at node.js:803:3
make: *** [uglify] Error 1

Thank you,

Sadiel.

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#4

Hi Sadiel,

It seems like npm is in an inconsistent state. Could you please try to `rm
-rf myapp/node_modules` and try again? Two more things that are worth
noting, you shouldn't install npm separately as it comes bundled with
nodejs and you also shouldn't install browserify as a global module because
it's declared in package.json and installed automatically when you do `npm
install`.

If none of the above helps, you can try installing a more recent version of
nodejs using these instructions https://github.com/nodesource/distributions.

I hope this helps!

···

-
George

On Mon, Feb 8, 2016 at 12:50 PM, Sadiel Orama <sorama@ubity.com> wrote:

Hi,

Yes, I show you what I did.

*git clone https://github.com/jitsi/jitsi-meet
<https://github.com/jitsi/jitsi-meet> myapp*
*cd myapp*
*sudo npm install -g browserify*
*sudo apt-get install npm nodejs-legacy*

Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'nodejs' instead of 'nodejs-legacy'
nodejs is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
nodejs : Conflicts: npm
E: Unable to correct problems, you have held broken packages.

*sudo apt-get install nodejs-legacy* (it fixes the last error. I hope is
ok)

*npm install*
*make*

But it continue to show the error.

Thank you,

Sadiel.

2016-02-08 12:33 GMT-05:00 George Politis <gp@jitsi.org>:

Hi Sadiel, have you tried running `npm install` before executing make?

On Mon, Feb 8, 2016 at 9:49 AM, Sadiel Orama <sorama@ubity.com> wrote:

Hi!

I want to update jitsi but it shows me an error when I run 'make'
command:

...
./node_modules/.bin/browserify -d -e app.js -s APP |
./node_modules/.bin/exorcist ./app.bundle.js.map > ./app.bundle.js
Error: module not found: "jquery-ui" from file /var/www/myapp/app.js
    at onresolve
(/var/www/myapp/node_modules/browserify/node_modules/module-deps/index.js:162:30)
    at /var/www/myapp/node_modules/browserify/index.js:489:18
    at
/var/www/myapp/node_modules/browserify/node_modules/browser-resolve/index.js:246:21
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:55:18
    at load
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:69:43)
    at onex
(/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:92:31)
    at
/var/www/myapp/node_modules/browserify/node_modules/resolve/lib/async.js:22:47
    at Object.oncomplete (fs.js:97:15)
The code that you piped into exorcist contains no source map!
Therefore it was piped through as is and no external map file generated.
./node_modules/.bin/uglifyjs -p relative ./app.bundle.js -o
./app.bundle.min.js --source-map ./app.bundle.min.map --in-source-map
./app.bundle.js.map
fs.js:410
  return binding.open(pathModule._makeLong(path), stringToFlags(flags),
mode);
                 ^
Error: ENOENT, no such file or directory './app.bundle.js.map'
    at Object.fs.openSync (fs.js:410:18)
    at Object.fs.readFileSync (fs.js:276:15)
    at Object.<anonymous>
(/var/www/myapp/node_modules/uglify-js/bin/uglifyjs:263:30)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:349:32)
    at Function.Module._load (module.js:305:12)
    at Function.Module.runMain (module.js:490:10)
    at startup (node.js:124:16)
    at node.js:803:3
make: *** [uglify] Error 1

Thank you,

Sadiel.

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev